Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageAnimation

Enclosing class:
  TdApi

public static final class TdApi.InputMessageAnimation extends TdApi.InputMessageContent
An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`addedStickerFileIds`
File identifiers of the stickers added to the animation, if applicable.
`TdApi.InputFile`
`animation`
Animation file to be sent.
`TdApi.FormattedText`
`caption`
Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the animation, in seconds.
`boolean`
`hasSpoiler`
True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.
`int`
`height`
Height of the animation; may be replaced by the server.
`TdApi.InputThumbnail`
`thumbnail`
Animation thumbnail; pass null to skip thumbnail uploading.
`int`
`width`
Width of the animation; may be replaced by the server.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageAnimation()`
An animation message (GIF-style).
`InputMessageAnimation(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption, boolean hasSpoiler)`
An animation message (GIF-style).
`InputMessageAnimation(DataInput input)`
An animation message (GIF-style).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.InputFile animation
Animation file to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Animation thumbnail; pass null to skip thumbnail uploading.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the animation, if applicable.

### duration

public int duration
Duration of the animation, in seconds.

### width

public int width
Width of the animation; may be replaced by the server.

### height

public int height
Height of the animation; may be replaced by the server.

### caption

public TdApi.FormattedText caption
Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### hasSpoiler

public boolean hasSpoiler
True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageAnimation

public InputMessageAnimation()
An animation message (GIF-style).

### InputMessageAnimation

public InputMessageAnimation(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption, boolean hasSpoiler)
An animation message (GIF-style).

Parameters:
  `animation` - Animation file to be sent.
  `thumbnail` - Animation thumbnail; pass null to skip thumbnail uploading.
  `addedStickerFileIds` - File identifiers of the stickers added to the animation, if applicable.
  `duration` - Duration of the animation, in seconds.
  `width` - Width of the animation; may be replaced by the server.
  `height` - Height of the animation; may be replaced by the server.
  `caption` - Animation caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `hasSpoiler` - True, if the animation preview must be covered by a spoiler animation; not supported in secret chats.

### InputMessageAnimation

public InputMessageAnimation(DataInput input) throws IOException
An animation message (GIF-style).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`